From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apache/mod_gnutls/
Date: Sun, 19 Jun 2022 12:24:22 +0000 (UTC) [thread overview]
Message-ID: <1655641456.a4c8cc105ae81625971bca30096f6491645b0c6c.polynomial-c@gentoo> (raw)
commit: a4c8cc105ae81625971bca30096f6491645b0c6c
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 19 12:22:28 2022 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Jun 19 12:24:16 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4c8cc10
www-apache/mod_gnutls: Bump to version 0.12.0
Thanks-to: Forza <forza <AT> tnonline.net>
Closes: https://bugs.gentoo.org/846338
Closes: https://bugs.gentoo.org/853049
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
www-apache/mod_gnutls/Manifest | 1 +
www-apache/mod_gnutls/mod_gnutls-0.12.0.ebuild | 89 ++++++++++++++++++++++++++
2 files changed, 90 insertions(+)
diff --git a/www-apache/mod_gnutls/Manifest b/www-apache/mod_gnutls/Manifest
index e8db9e5a3d09..3b98de5a5882 100644
--- a/www-apache/mod_gnutls/Manifest
+++ b/www-apache/mod_gnutls/Manifest
@@ -1 +1,2 @@
DIST mod_gnutls-0.11.0.tar.bz2 458966 BLAKE2B 6d81be7b7d48255173d028a8e3207badbce0c1ba541124a241b63d4ed4eb36833156e9cd7194318138b6f16667a971d5311d56b9b0036e5b3d9dac8d352a4335 SHA512 090d244823f15a6b23dd2ad9b35db202ebbe96210ec8fd06e06f13e32c327e9d9a449834c899755f1ec8c1a3a71db1b125d436ce661caee1002a8719b4c1320e
+DIST mod_gnutls-0.12.0.tar.bz2 461643 BLAKE2B ffbb4bd50cae7c974c59067908712e104e6d77b121e5e6114a1a45279b9396331f353a53ddae8e3d58259cd7669f047edc4d2b5ebebe94bb40df55f3546b0a02 SHA512 1ec32d0641dc8dc520726a4439edf2e9dbe582651aa4c782047d0499e5e7418b3145eb071d9e97aa4ec803e6818974efea2ed8ed18e5062cd7fdb90ef2e9e0f2
diff --git a/www-apache/mod_gnutls/mod_gnutls-0.12.0.ebuild b/www-apache/mod_gnutls/mod_gnutls-0.12.0.ebuild
new file mode 100644
index 000000000000..7d8c03acc123
--- /dev/null
+++ b/www-apache/mod_gnutls/mod_gnutls-0.12.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit autotools apache-module python-any-r1
+
+DESCRIPTION="mod_gnutls uses GnuTLS for SSL/TLS encryption in Apache2 (compare to mod_ssl)"
+HOMEPAGE="https://mod.gnutls.org/"
+SRC_URI="https://mod.gnutls.org/downloads/${P}.tar.bz2"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+CDEPEND=">=net-libs/gnutls-3.3.0:=[pkcs11]"
+
+TEST_REQUIRED_APACHE_MODULES="apache2_modules_proxy,apache2_modules_proxy_http"
+
+DEPEND="${CDEPEND}
+ virtual/pkgconfig
+ $(python_gen_any_dep '
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ ')
+ test? (
+ app-crypt/monkeysphere
+ >=net-libs/gnutls-3.3.0:=[tools]
+ net-misc/curl
+ || (
+ www-servers/apache[apache2_mpms_worker,${TEST_REQUIRED_APACHE_MODULES}]
+ www-servers/apache[apache2_mpms_prefork,${TEST_REQUIRED_APACHE_MODULES}]
+ www-servers/apache[apache2_mpms_event,${TEST_REQUIRED_APACHE_MODULES}]
+ )
+ )"
+
+RDEPEND="${CDEPEND}"
+
+RESTRICT="!test? ( test )"
+
+APACHE2_MOD_CONF="47_${PN}"
+APACHE2_MOD_DEFINE="GNUTLS"
+
+DOCFILES="CHANGELOG NOTICE README"
+
+need_apache2_4
+
+python_check_deps() {
+ has_version "dev-python/pyyaml[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ # Calling depend.apache_pkg_setup fails because we do not have
+ # "apache2" in IUSE but the function expects this in order to call
+ # _init_apache2_late which sets the APACHE_MODULESDIR variable.
+ _init_apache2
+ _init_apache2_late
+
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --with-apxs="${APXS}"
+ --disable-strict
+ --disable-doxygen-dot
+ --disable-doxygen-doc
+ --disable-doxygen-html
+ --disable-doxygen-pdf
+ --disable-valgrind-test
+ ac_cv_path_UNSHARE=no
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ apache-module_src_install
+}
next reply other threads:[~2022-06-19 12:24 UTC|newest]
Thread overview: 36+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-06-19 12:24 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-31 9:24 [gentoo-commits] repo/gentoo:master commit in: www-apache/mod_gnutls/ Pacho Ramos
2022-08-20 15:54 Arthur Zamarin
2022-07-14 9:34 Sam James
2022-07-05 7:09 Joonas Niilola
2022-07-04 17:38 Joonas Niilola
2022-07-04 17:38 Joonas Niilola
2022-07-04 7:02 Joonas Niilola
2022-06-19 12:33 Lars Wendler
2022-02-20 5:27 Sam James
2022-02-05 21:14 Jakov Smolić
2022-02-05 21:14 Jakov Smolić
2020-09-03 12:36 Lars Wendler
2020-08-19 14:01 Thomas Deutschmann
2020-08-19 14:01 Thomas Deutschmann
2020-08-19 14:01 Thomas Deutschmann
2019-01-24 8:45 Lars Wendler
2019-01-24 8:45 Lars Wendler
2018-04-14 19:51 Lars Wendler
2018-01-16 0:24 Lars Wendler
2017-11-26 23:26 David Seifert
2017-10-23 15:53 Lars Wendler
2017-04-26 9:58 Agostino Sarubbo
2017-04-25 18:15 Alon Bar-Lev
2017-04-25 17:18 Alon Bar-Lev
2017-04-25 17:12 Alon Bar-Lev
2017-01-10 22:06 Lars Wendler
2016-12-21 8:58 Lars Wendler
2016-12-13 10:38 Lars Wendler
2016-12-13 10:38 Lars Wendler
2016-05-29 21:03 Lars Wendler
2016-04-15 8:54 Lars Wendler
2016-04-15 8:54 Lars Wendler
2016-02-13 19:51 Lars Wendler
2016-02-13 19:51 Lars Wendler
2015-11-22 12:11 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1655641456.a4c8cc105ae81625971bca30096f6491645b0c6c.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox